Change Password
curl --request POST \
--url https://confirmation.freelancetravel.com/api/user/detail/change-password \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"current_password": "oldpassword123",
"new_password": "newpassword123"
}
'import requests
url = "https://confirmation.freelancetravel.com/api/user/detail/change-password"
payload = {
"current_password": "oldpassword123",
"new_password": "newpassword123"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({current_password: 'oldpassword123', new_password: 'newpassword123'})
};
fetch('https://confirmation.freelancetravel.com/api/user/detail/change-password', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://confirmation.freelancetravel.com/api/user/detail/change-password",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'current_password' => 'oldpassword123',
'new_password' => 'newpassword123'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://confirmation.freelancetravel.com/api/user/detail/change-password"
payload := strings.NewReader("{\n \"current_password\": \"oldpassword123\",\n \"new_password\": \"newpassword123\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://confirmation.freelancetravel.com/api/user/detail/change-password")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"current_password\": \"oldpassword123\",\n \"new_password\": \"newpassword123\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://confirmation.freelancetravel.com/api/user/detail/change-password")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"current_password\": \"oldpassword123\",\n \"new_password\": \"newpassword123\"\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"message": "Password changed"
}{
"status": "error",
"message": "Incorrect current password"
}Authentication
Change Password
Change the authenticated user’s password.
POST
/
api
/
user
/
detail
/
change-password
Change Password
curl --request POST \
--url https://confirmation.freelancetravel.com/api/user/detail/change-password \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"current_password": "oldpassword123",
"new_password": "newpassword123"
}
'import requests
url = "https://confirmation.freelancetravel.com/api/user/detail/change-password"
payload = {
"current_password": "oldpassword123",
"new_password": "newpassword123"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({current_password: 'oldpassword123', new_password: 'newpassword123'})
};
fetch('https://confirmation.freelancetravel.com/api/user/detail/change-password', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://confirmation.freelancetravel.com/api/user/detail/change-password",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'current_password' => 'oldpassword123',
'new_password' => 'newpassword123'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://confirmation.freelancetravel.com/api/user/detail/change-password"
payload := strings.NewReader("{\n \"current_password\": \"oldpassword123\",\n \"new_password\": \"newpassword123\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://confirmation.freelancetravel.com/api/user/detail/change-password")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"current_password\": \"oldpassword123\",\n \"new_password\": \"newpassword123\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://confirmation.freelancetravel.com/api/user/detail/change-password")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"current_password\": \"oldpassword123\",\n \"new_password\": \"newpassword123\"\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"message": "Password changed"
}{
"status": "error",
"message": "Incorrect current password"
}Authorizations
You can retrieve your token by visiting your dashboard and clicking Generate API token.
Body
application/json